@charset "utf-8";
/* 
Plantilla:  Contact
Autor:      OncemediaMX / Miguel Solorio
Website:    torreblanca.edu.mx
Fecha:      Agosto 2025
------------------------------------------------------------*/

.contact_capellania {
  background: var(--colorClaro);
  padding: 50px 0px 50px 0px;
}

.contact_capellania .container {
  	position: relative;
	background-image: url('../img/fotos/capellania_morado.png');
    background-size: cover;
	height: 370px;
	background-position: top center;
	background-repeat: no-repeat;
  	padding: 20px 20px 50px 20px;
}

.contact_capellania h1{
  	font-family: var(--fontBody);
  	font-size: 3rem;
	font-weight: 600;
  	color: var(--colorMorado);
  	padding: 0px 50px 20px 0px;
  	text-align:right;
}

.contact_capellania p{
	float: right;
	width: 500px;
	font-family: var(--fontBody);
  	font-size: 1.5rem;
	font-weight:bold;
  	color: var(--colorClaro);
  	padding: 0px 50px 0px 0px;
  	text-align: right;
}

.contact_capellania .container .ico_form {
	  position: absolute;
	  top: 50px;
	  left: 5%;
	}

.contact_capellania .container a{
	position: relative;
  	font-family: var(--fontBody);
  	font-size: 1.5rem;
	background: var(--colorSalmon);
  	color: var(--colorClaro);
  	padding: 10px 5%;
  	text-align: center;
	text-decoration: none;
	border-radius: 20px;
}

.contact_capellania .container a:hover{
	background: var(--colorRosa);
}

/*------------------------------------*/



.contact {
  background: var(--colorClaro);
  padding: 0px;
  
}

.contact .container {
  background: var(--colorVioleta);
  padding: 10px;
  border-radius: 25px;
  max-width: 900px;
}

.contact h1{
  font-family: var(--fontBody);
  font-size: 2rem;
	font-weight: normal;
  color: var(--colorClaro);
  padding: 0px 50px 0px 20px;
  text-align:left;
}

.contact p{
	font-family: var(--fontBody);
  	font-size: 1.2rem;
  	color: var(--colorClaro);
  	padding: 0px 50px 0px 20px;
  	text-align: left;
}

.contact .info {
  padding: 30px;
  background: var(--colorViolete);
  width: 100%;
  /* 
	box-shadow: 0 0 24px 0 rgba(0, 0, 0, 0.1);
	border-top: 3px solid var(--color_azul);
  	border-bottom: 3px solid var(--color_azul);
	*/
}

.contact .info i {
  font-size: 20px;
  color: var(--coloMorado);
  float: left;
  width: 44px;
  height: 44px;
  background: var(--colorVioleta);
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
  transition: all 0.3s ease-in-out;
}

.contact .info h4 {
  padding: 0 0 0 60px;
  font-size: 22px;
  font-weight: 600;
  margin-bottom: 5px;
  color: var(--colorMorado);
}

.contact .info p {
  padding: 0 0 10px 60px;
  margin-bottom: 20px;
  font-size: 14px;
  color: var(--colorMorado);
}

.contact .info .email p {
  padding-top: 5px;
}

.contact .info .social-links {
  padding-left: 60px;
}

.contact .info .social-links a {
  font-size: 18px;
  display: inline-block;
  background: #333;
  color: var(--colorMorado);
  line-height: 1;
  padding: 8px 0;
  border-radius: 50%;
  text-align: center;
  width: 36px;
  height: 36px;
  transition: 0.3s;
  margin-right: 10px;
}

.contact .info .social-links a:hover {
  background: var(--colorMorado);
  color: var(--colorClaro);
}

.contact .info .email:hover i, .contact .info .address:hover i, .contact .info .phone:hover i {
  background: var(--colorMorado);
  color: var(--colorClaro);
}

.contact .php-email-form {
  	width: 100%;
  	padding: 00px;
	font-family: var(--fontBody)
  	
	/*
	background: var(--colorVioleta);
  	box-shadow: 0 0 24px 0 rgba(0, 0, 0, 0.12);
	border-top: 3px solid var(--color_azul);
  	border-bottom: 3px solid var(--color_azul);
	*/
}

.contact .php-email-form .form-group {
  padding-bottom: 8px;
}

.contact .php-email-form .validate {
  display: none;
  color: red;
  margin: 0 0 15px 0;
  font-weight: 400;
  font-size: 13px;
}

.contact .php-email-form .error-message {
  display: none;
  color: #fff;
  background: #ed3c0d;
  text-align: left;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .error-message br + br {
  margin-top: 25px;
}

.contact .php-email-form .sent-message {
  display: none;
  color: #fff;
  background: #18d26e;
  text-align: center;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .loading {
  display: none;
  background: #fff;
  text-align: center;
  padding: 15px;
}

.contact .php-email-form .loading:before {
  content: "";
  display: inline-block;
  border-radius: 50%;
  width: 24px;
  height: 24px;
  margin: 0 10px -6px 0;
  border: 3px solid #18d26e;
  border-top-color: #eee;
  -webkit-animation: animate-loading 1s linear infinite;
  animation: animate-loading 1s linear infinite;
}

.contact .php-email-form .form-group {
  margin-bottom: 20px;
}

.contact .php-email-form label {
	color: var(--colorClaro);
    font-size: 1.2rem;
}

.contact .php-email-form input, .contact .php-email-form textarea {
  color: var(--colorClaro);
  box-shadow: none;
  font-size: 14px;
  border-radius: 10px;
	border-width: 2px;
}

.contact .php-email-form input:focus, .contact .php-email-form textarea:focus {
  border-color: var(--colorClaro);
  background: var(--colorClaro);
  color: var(--colorMorado);
}

.contact .php-email-form input {
  height: 44px;
}

.contact .php-email-form textarea {
  padding: 10px 12px;
}

.contact .php-email-form button[type="submit"] {
  background: var(--colorSalmon);
    font-size: 1.2rem;
  border: 0;
  padding: 6px 34px;
  color: var(--colorClaro);
  transition: 0.4s;
  border-radius: 50px;
}

.contact .php-email-form button[type="submit"]:hover {
  background: var(--colorRosa);
	color: var(--colorClaro);
}

@-webkit-keyframes animate-loading {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes animate-loading {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
